
From: Dominik Brodowski <linux@brodo.de>




 25-akpm/drivers/cpufreq/cpufreq.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/cpufreq/cpufreq.c~cpufreq-sysfs-oops-fix drivers/cpufreq/cpufreq.c
--- 25/drivers/cpufreq/cpufreq.c~cpufreq-sysfs-oops-fix	Fri Oct  3 14:44:29 2003
+++ 25-akpm/drivers/cpufreq/cpufreq.c	Fri Oct  3 14:44:29 2003
@@ -449,6 +449,9 @@ static int cpufreq_remove_dev (struct sy
 	if (!kobject_get(&data->kobj))
 		return -EFAULT;
 
+	if (cpufreq_driver->target)
+		__cpufreq_governor(data, CPUFREQ_GOV_STOP);
+
 	kobject_unregister(&data->kobj);
 
 	kobject_put(&data->kobj);
@@ -459,9 +462,6 @@ static int cpufreq_remove_dev (struct sy
 	 */
 	wait_for_completion(&data->kobj_unregister);
 
-	if (cpufreq_driver->target)
-		__cpufreq_governor(data, CPUFREQ_GOV_STOP);
-
 	if (cpufreq_driver->exit)
 		cpufreq_driver->exit(data);
 

_
